GROHTML(1)

NAME
grohtml - html driver for groff

SYNOPSIS
grohtml [-bhlnprv] [-a aa-text-bits] [-D dir] [-F dir] [-g aa-graphic-bits] [-i resolution] [-I image-stem] [-j filename] [-o image-vertical-offset] [-s size] [-S level] [-x html-dialect] [ files... ]

DESCRIPTION
The grohtml front end (which consists of a preprocessor, pre-grohtml, and a device driver, post-grohtml) translates the output of GNU troff to html. Users should always invoke grohtml via the groff command with a -Thtml option. If no files are given, grohtml will read the standard input. A filename of - will also cause grohtml to read the standard input. Html output is written to the standard output. When grohtml is run by groff options can be passed to grohtml using groff's -P option.

grohtml invokes groff twice. In the first pass, pictures, equations, and tables are rendered using the ps device, and in the second pass HTML output is generated by the html device.

grohtml always writes output in UTF-8 encoding and has built-in entities for all non-composite unicode characters. In spite of this, groff may issue warnings about unknown special characters if they can't be found during the first pass. Such warnings can be safely ignored unless the special characters appear inside a table or equation.

OPTIONS

-aaa-text-bits
    Number of bits of antialiasing information to be used by text when generating png images. The default is 4 but valid values are 0, 1, 2, and 4. Note your version of gs needs to support the -dTextAlphaBits and -dGraphicAlphaBits options in order to exploit antialiasing. A value of 0 stops grohtml from issuing antialiasing commands to gs.

-b  Initialize the background color to white.

-Ddir
    Inform grohtml to place all image files into directory dir.

-e  This option should not be directly invoked by the user as it is an internal option utilized by groff when -Thtml or -Txhtml is specified. It is used by the grohtml preprocessor to determine whether eqn should attempt to produce MathML (if -Txhtml is specified).

-Fdir
    Prepend directory dir/devname to the search path for font and device description files; name is the name of the device, usually html.

-gaa-graphic-bits
    Number of bits of antialiasing information to be used by graphics when generating png images. The default is 4 but valid values are 0, 1, 2, and 4. Note your version of gs needs to support the -dTextAlphaBits and -dGraphicAlphaBits options in order to exploit antialiasing. A value of 0 stops grohtml from issuing antialiasing commands to gs.

-h  Generate section and number headings by using <B>...</B> and increasing the font size, rather than using the <Hn> ...</Hn> tags.

-iresolution
    Select the resolution for all images. By default this is 100 pixels per inch. Example: -i200 indicates 200 pixels per inch.

-Istem
    Determine the image stem name. If omitted grohtml uses grohtml-XXX (XXX is the process ID).

-jfilename
    Inform grohtml to split the html output into multiple files. The filename is the stem and specified section headings (default is level one) start a new file, named filename-n.html.

-l  Turn off the production of automatic section links at the top of the document.

-n  Generate simple heading anchors whenever a section/number heading is found. Without the option the anchor value is the textual heading. This can cause problems when a heading contains a `?' on older versions of some browsers (Netscape). This flag is automatically turned on if a heading contains an image.

-overtical-offset
    Specify the vertical offset of images in points.

-p  Display page rendering progress to stderr. grohtml only displays a page number when an image is required.

-r  Turn off the automatic header and footer line (html rule).

-s size
    Set the base point size of the source file. Thereafter when this point size is used in the source it will correspond to the html base size. Every increase of two points in the source will yield a <big> tag, and conversely when a decrease of two points is seen a <small> tag is emitted.

-Slevel
    When splitting html output, split at the heading level (or higher) defined by level.

-v  Print the version number.

-V  Create an XHTML or HTML validator button at the bottom of each page of the document.

-xdialect
    Select HTML dialect. Currently, dialect should be either the digit 4 or the letter x which indicates whether grohtml should generate HTML 4 or XHTML, respectively. This option should not be directly invoked by the user as it is an internal option utilized by groff when -Thtml or -Txhtml is specified.

-y  Produce a right-justified groff signature at the end of the document. This is only generated if the -V flag is also specified.

USAGE
There are styles called R, I, B, and BI mounted at font positions 1 to 4.

DEPENDENCIES
grohtml is dependent upon the png utilities (pnmcut, pnmcrop, pnmtopng) and GhostScript (gs). pnmtopng (version 2.37.6 or greater) and pnmcut from the netpbm package (version 9.16 or greater) will work also. It is also dependent upon psselect from the PSUtils package. Images are generated whenever a table, picture, equation or line is encountered.

FILES
grohtml uses temporary files. See the groff(1) man page for details where such files are created.

ENVIRONMENT

GROFF_FONT_PATH
    A list of directories in which to search for the devname directory in addition to the default ones. See troff(1) and groff_font(5) for more details.

BUGS
Grohtml has been completely redesigned and rewritten. It is still beta code.

SEE ALSO
afmtodit(1), groff(1), troff(1), psbb(1), groff_out(5), groff_font(5), groff_char(7)